KIE.AI
old-model
  • All Model
  • old-model
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
language
language
  • 🇺🇸 English
  • 🇨🇳 Chinese
Support
old-model
  • All Model
  • old-model
old-model
  • All Model
  • old-model
Suno API4o Image APIVeo3.1 APIRunway APIFlux Kontext API
Suno API4o Image APIVeo3.1 APIRunway APIFlux Kontext API
  1. Flux Kontext API
  • Flux Kontext API 快速开始
  • 图像生成或编辑回调
  • 生成或编辑图像
    POST
  • 获取图像详情
    GET
  1. Flux Kontext API

获取图像详情

GET
/api/v1/flux/kontext/record-info
查询图像生成或编辑任务的状态和结果。

状态描述#

0: 生成中 - 任务正在处理
1: 成功 - 任务成功完成
2: 创建任务失败 - 创建任务失败
3: 生成失败 - 任务创建成功但生成失败

重要说明#

生成的图像(resultImageUrl)将保存 14 天

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
请求成功
Bodyapplication/json

Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.kie.ai/api/v1/flux/kontext/record-info?taskId=task12345' \
--header 'Authorization: Bearer <token>'
Response Response Example
{
    "code": 200,
    "msg": "success",
    "data": {
        "taskId": "task12345",
        "paramJson": "{\"prompt\":\"A serene mountain landscape\",\"aspectRatio\":\"16:9\"}",
        "completeTime": "2024-03-20T10:30:00Z",
        "response": {
            "originImageUrl": "https://example.com/original.jpg",
            "resultImageUrl": "https://example.com/result.jpg"
        },
        "successFlag": 1,
        "errorCode": null,
        "errorMessage": "",
        "createTime": "2024-03-20T10:25:00Z"
    }
}
Previous
生成或编辑图像
Built with